using Netina.Common.Models;
using Netina.Domain.Dtos.ScraperDtos.Response;

namespace Netina.Core.Abstracts;

public interface IDigikalaScraper : IScopedDependency
{
    public Task<List<ScraperProductDto>> GetProductsByNameAsync(string productName);
    public Task<bool> AddProductToShopAsync(string productId, string productName , CancellationToken cancellationToken = default);
}